- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libvisio::VSDXTheme Class Reference

`#include <VSDXTheme.h>`

## Public Member Functions
| VSDXTheme ()
| ~VSDXTheme ()
bool | parse (WPXInputStream *input)

## Private Member Functions
| VSDXTheme (const VSDXTheme &)
VSDXTheme & | operator= (const VSDXTheme &)
boost::optional< Colour > | readSrgbClr (xmlTextReaderPtr reader)
boost::optional< Colour > | readSysClr (xmlTextReaderPtr reader)
void | readClrScheme (xmlTextReaderPtr reader)
void | readThemeColour (xmlTextReaderPtr reader, int idToken, Colour &clr)
void | readVariationClrSchemeLst (xmlTextReaderPtr reader)
void | readVariationClrScheme (xmlTextReaderPtr reader, VSDXVariationClrScheme &varClrSch)
int | getElementToken (xmlTextReaderPtr reader)

## Private Attributes
VSDXClrScheme | m_clrScheme

## Constructor & Destructor Documentation

libvisio::VSDXTheme::VSDXTheme | ( |  | ) |

libvisio::VSDXTheme::~VSDXTheme | ( |  | ) |

libvisio::VSDXTheme::VSDXTheme | ( | const VSDXTheme & |  | ) |
| private

## Member Function Documentation

int libvisio::VSDXTheme::getElementToken | ( | xmlTextReaderPtr | reader | ) |
| private

VSDXTheme& libvisio::VSDXTheme::operator= | ( | const VSDXTheme & |  | ) |
| private

bool libvisio::VSDXTheme::parse | ( | WPXInputStream * | input | ) |

void libvisio::VSDXTheme::readClrScheme | ( | xmlTextReaderPtr | reader | ) |
| private

boost::optional< libvisio::Colour > libvisio::VSDXTheme::readSrgbClr | ( | xmlTextReaderPtr | reader | ) |
| private

boost::optional< libvisio::Colour > libvisio::VSDXTheme::readSysClr | ( | xmlTextReaderPtr | reader | ) |
| private

void libvisio::VSDXTheme::readThemeColour | ( | xmlTextReaderPtr | reader,
|  | int | idToken,
|  | Colour & | clr
| ) |  |
| private

void libvisio::VSDXTheme::readVariationClrScheme | ( | xmlTextReaderPtr | reader,
|  | VSDXVariationClrScheme & | varClrSch
| ) |  |
| private

void libvisio::VSDXTheme::readVariationClrSchemeLst | ( | xmlTextReaderPtr | reader | ) |
| private

## Member Data Documentation

VSDXClrScheme libvisio::VSDXTheme::m_clrScheme
| private

The documentation for this class was generated from the following files:

- VSDXTheme.h
- VSDXTheme.cpp